Bug 846487 - jBPM Designer corrupts diagrams with ambiguous gateways
jBPM Designer corrupts diagrams with ambiguous gateways
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 18:31 EDT by Phil Simpson
Modified: 2014-10-26 21:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Ambiguously placed gateway nodes within a process diagram caused errors in which Process Designer was no longer able to reopen the diagram. This issue caused a technical error in which the user was unable to open or edit the process model. This has been resolved by showing validation errors with ambiguous gateway nodes and allowing Process Designer to open the invalid process.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unrecoverable BPMN2 diagram (7.70 KB, image/png)
2012-08-07 18:31 EDT, Phil Simpson
no flags Details

  None (edit)
Description Phil Simpson 2012-08-07 18:31:33 EDT
Created attachment 602873 [details]
Unrecoverable BPMN2 diagram

Description of problem:
If a diagram contains a gateway whose direction cannot be determined  (i.e an incomplete diagram under development), the bpmn2 that is saved cannot be reopened, thus rendering the diagram unrecoverable.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Create a new BPMN2 diagram
2.Add Start Event, gateway, end event in sequence (see attached)
3.Save the diagram
4. Attempt to reopen the diagram

Actual results:
400 Sorry, a technical error occurred. Please contact a system administrator.

Expected results:
diagram should open normally

Additional info:
Comment 1 Tihomir Surdilovic 2012-08-23 19:04:41 EDT
Fixed the designer part in 2.3.x branch. This will become testable once https://bugzilla.redhat.com/show_bug.cgi?id=827002 is closed as the Guvnor fix for that is needed here as well.
Comment 2 Sona Mala 2012-09-12 10:36:51 EDT
verified for brms-standalone 5.3.1 ER1

Validation shows errors and user can save/open the (invalid) process.
Comment 3 Douglas Hoffman 2012-11-05 20:45:44 EST
Thank you for the Release Notes information.

- Doug

Note You need to log in before you can comment on or make changes to this bug.